%define modname zstd
%define soname %{modname}.so
%define inifile A50_%{modname}.ini

Name:		php-%{modname}
Version:	0.9.0
Release:	%mkrel 2
Group:		Development/PHP
Summary:	PHP zstd extension
License:	MIT
URL:		https://github.com/kjdev/php-ext-zstd
Source0:	https://github.com/kjdev/php-ext-%{modname}/archive/%{version}.tar.gz
BuildRequires:	php-devel >= 3:7.0.0
BuildRequires:	pkgconfig(libzstd)
Requires:	php >= 3:7.4.0
Requires:	php-common = 3:7.4

%description
This extension allows use of Zstandard compression.
Documentation for Zstandard can be found at https://github.com/facebook/zstd.


%prep

%setup -q -n php-ext-%{modname}-%{version}

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild
%autopatch -p1

export CFLAGS="$CFLAGS -DHAVE_PHP_SESSION"

phpize
%configure2_5x --with-libzstd --with-libdir=%{_lib} \
	--enable-%{modname}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_includedir}/php/ext/%{modname}

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install php_zstd.h %{buildroot}%{_includedir}/php/ext/%{modname}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files
%doc package*.xml README.md  LICENSE
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}
%{_includedir}/php/ext/%{modname}/php_zstd.h



%changelog
* Thu Jun 18 2020 mokraemer <mokraemer> 0.9.0-2.mga7
+ Revision: 1595933
- Fix dependency
- backport for php 7.4
- backport php 7.4

* Thu Jun 04 2020 mokraemer <mokraemer> 0.9.0-1.mga8
+ Revision: 1590317
- new version 0.9.0

* Thu Mar 12 2020 mokraemer <mokraemer> 0.8.0-1.mga8
+ Revision: 1555803
- new version 0.8.0

* Tue Feb 18 2020 umeabot <umeabot> 0.7.7-2.mga8
+ Revision: 1541327
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 23 2019 mokraemer <mokraemer> 0.7.7-1.mga8
+ Revision: 1469707
- new php package to support zstd compression
- Created package structure for php-zstd.

